> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get PackageSpecificationCategory entities.

- Product: Package specification categories
- Section: PackageSpecification
- Snapshot: Current
- Method: `GET`
- Path: `/api/package_specification_categories/`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.packageSpecificationCategories.list({
  organization: 0,
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/package_specification_categories/" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "description": "description",
    "created": "created",
    "modified": "modified"
  }
]
```

##### Schema

###### PackageSpecificationCategory[]

Type: `PackageSpecificationCategory[]`  

###### PackageSpecificationCategory

Type: `PackageSpecificationCategory`  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/package-specification-categories/methods/list/)
- [TypeScript Markdown](/package-specification-categories/methods/list.md?lang=typescript)
- [curl Markdown](/package-specification-categories/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/package-specification-categories/llms.txt)
- [snapshot llms.txt](/package-specification-categories/llms.txt)
